<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WiFi.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">WiFi.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * WiFi.h</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> *  Created on: Feb 25, 2017</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> *      Author: kolban</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#ifndef MAIN_WIFI_H_</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#define MAIN_WIFI_H_</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &quot;sdkconfig.h&quot;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;</div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#include &lt;string&gt;</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#include &lt;mdns.h&gt;</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="preprocessor">#include &lt;esp_err.h&gt;</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &quot;FreeRTOS.h&quot;</span></div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;WiFiEventHandler.h&quot;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;</div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">class MDNS {</span></div><div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">public:</span></div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">    MDNS();</span></div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">    ~MDNS();</span></div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">    void serviceAdd(const std::string&amp; service, const std::string&amp; proto, uint16_t port);</span></div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">    void serviceInstanceSet(const std::string&amp; service, const std::string&amp; proto, const std::string&amp; instance);</span></div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">    void servicePortSet(const std::string&amp; service, const std::string&amp; proto, uint16_t port);</span></div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">    void serviceRemove(const std::string&amp; service, const std::string&amp; proto);</span></div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="comment">    void setHostname(const std::string&amp; hostname);</span></div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="comment">    void setInstance(const std::string&amp; instance);</span></div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="comment">    // If we the above functions with a basic char*, a copy would be created into an std::string,</span></div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="comment">    // making the whole thing require twice as much processing power and speed</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="comment">    void serviceAdd(const char* service, const char* proto, uint16_t port);</span></div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="comment">    void serviceInstanceSet(const char* service, const char* proto, const char* instance);</span></div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="comment">    void servicePortSet(const char* service, const char* proto, uint16_t port);</span></div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="comment">    void serviceRemove(const char* service, const char* proto);</span></div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;<span class="comment">    void setHostname(const char* hostname);</span></div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">    void setInstance(const char* instance);</span></div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="comment">private:</span></div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="comment">    mdns_server_t* m_mdns_server = nullptr;</span></div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="comment"></span></div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="comment">};</span></div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">*/</span></div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="classWiFiAPRecord.html">   48</a></span>&#160;<span class="keyword">class </span><a class="code" href="classWiFiAPRecord.html">WiFiAPRecord</a> {</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classWiFi.html">WiFi</a>;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno"><a class="line" href="classWiFiAPRecord.html#aa8857d2c0e0162b6eb38258db488131d">   56</a></span>&#160;    wifi_auth_mode_t <a class="code" href="classWiFiAPRecord.html#aa8857d2c0e0162b6eb38258db488131d">getAuthMode</a>() {</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;        <span class="keywordflow">return</span> m_authMode;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    }</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;</div><div class="line"><a name="l00064"></a><span class="lineno"><a class="line" href="classWiFiAPRecord.html#ae024a1fbae5a6af6390c2a40513ff15d">   64</a></span>&#160;    int8_t <a class="code" href="classWiFiAPRecord.html#ae024a1fbae5a6af6390c2a40513ff15d">getRSSI</a>() {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordflow">return</span> m_rssi;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="classWiFiAPRecord.html#ab7b7a360e920f2cb6933ed142ccce7bf">   72</a></span>&#160;    std::string <a class="code" href="classWiFiAPRecord.html#ab7b7a360e920f2cb6933ed142ccce7bf">getSSID</a>() {</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;        <span class="keywordflow">return</span> m_ssid;</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    }</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    std::string <a class="code" href="classWiFiAPRecord.html#a7b634da0afbfeb15a9b4f52681a06ee1">toString</a>();</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    uint8_t        m_bssid[6];</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    int8_t         m_rssi;</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;    std::string    m_ssid;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    wifi_auth_mode_t m_authMode;</div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;};</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00111"></a><span class="lineno"><a class="line" href="classWiFi.html">  111</a></span>&#160;<span class="keyword">class </span><a class="code" href="classWiFi.html">WiFi</a> {</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    <span class="keyword">static</span> esp_err_t    eventHandler(<span class="keywordtype">void</span>* ctx, system_event_t* event);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    <span class="keywordtype">void</span>                init();</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    uint32_t            ip;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;    uint32_t            gw;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    uint32_t            netmask;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    <a class="code" href="classWiFiEventHandler.html">WiFiEventHandler</a>*   m_pWifiEventHandler;</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;    uint8_t             m_dnsCount = 0;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;    <span class="keywordtype">bool</span>                m_eventLoopStarted;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;    <span class="keywordtype">bool</span>                m_initCalled;</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;    uint8_t             m_apConnectionStatus;   <span class="comment">// ESP_OK = we are connected to an access point.  Otherwise receives wifi_err_reason_t.</span></div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    <a class="code" href="classFreeRTOS_1_1Semaphore.html">FreeRTOS::Semaphore</a> m_connectFinished = <a class="code" href="classFreeRTOS_1_1Semaphore.html">FreeRTOS::Semaphore</a>(<span class="stringliteral">&quot;ConnectFinished&quot;</span>);</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <a class="code" href="classWiFi.html#a35af2c72328c41e79e7aef97b6a64fba">WiFi</a>();</div><div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <a class="code" href="classWiFi.html#aa70d86d4709954beb1f79e73715dfd5b">~WiFi</a>();</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(<span class="keyword">const</span> std::string&amp; ip);</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* ip);</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">addDNSServer</a>(ip_addr_t ip);</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(<span class="keywordtype">int</span> numdns, <span class="keyword">const</span> std::string&amp; ip);</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(<span class="keywordtype">int</span> numdns, <span class="keyword">const</span> <span class="keywordtype">char</span>* ip);</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    <span class="keywordtype">void</span>                      <a class="code" href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">setDNSServer</a>(<span class="keywordtype">int</span> numdns, ip_addr_t ip);</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;    <span class="keyword">struct </span>in_addr            <a class="code" href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">getHostByName</a>(const std::string&amp; hostName);</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;    struct in_addr            <a class="code" href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">getHostByName</a>(const char* hostName);</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;    uint8_t                   <a class="code" href="classWiFi.html#a6b11726f65299092288f68f129929303">connectAP</a>(const std::string&amp; ssid, const std::string&amp; password, bool waitForConnection = true, wifi_mode_t mode = WIFI_MODE_STA);</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;    void                      <a class="code" href="classWiFi.html#aa06d7cb11e23c95b873b37b37e1c7d27">dump</a>();</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    bool                      <a class="code" href="classWiFi.html#a8b9634fee0d3c7d27a77ca35823a1f86">isConnectedToAP</a>();</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a6b4031d4fa81fe133c7a6390669aa851">getApMac</a>();</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    static tcpip_adapter_ip_info_t <a class="code" href="classWiFi.html#aa158786a3a91c13956be956e7d094622">getApIpInfo</a>();</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;    static std::string        <a class="code" href="classWiFi.html#abe209be37e5626ace49f182c57f96747">getApSSID</a>();</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;    static std::string        <a class="code" href="classWiFi.html#aff9498a1f42011f3d38876444a153963">getApIp</a>();</div><div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a7ba16ba35e5543c23db71dd9e054f555">getApNetmask</a>();</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;    static std::string        <a class="code" href="classWiFi.html#af77c417d0a5a3285c8cedf1d7cc9ea23">getApGateway</a>();</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;    static std::string        <a class="code" href="classWiFi.html#abe399adb8a5d43f6affff8ceb78fc3fc">getMode</a>();</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    static tcpip_adapter_ip_info_t <a class="code" href="classWiFi.html#a2aa9896c734e6e2e920d3216f175c596">getStaIpInfo</a>();</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a08647c8bdbb4d8612abb2a4daf5dbdb1">getStaMac</a>();</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a888168c815c5363e79b2896b3790df25">getStaSSID</a>();</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a68cb65b5b2ce951ae7cc348d977ee78e">getStaIp</a>();</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a30e6d1c318cad75f44822fce97ded972">getStaNetmask</a>();</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    static std::string        <a class="code" href="classWiFi.html#a6e72ca5bdf809465049966ef99bef570">getStaGateway</a>();</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    std::vector&lt;WiFiAPRecord&gt; <a class="code" href="classWiFi.html#a97592a3ac47f6f301a2417385c4e8ea2">scan</a>();</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;    void                      <a class="code" href="classWiFi.html#ae5d8dc106189ee9a4cf332e4363fac58">startAP</a>(const std::string&amp; ssid, const std::string&amp; passwd, wifi_auth_mode_t auth = WIFI_AUTH_OPEN);</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;    void                      <a class="code" href="classWiFi.html#ae5d8dc106189ee9a4cf332e4363fac58">startAP</a>(const std::string&amp; ssid, const std::string&amp; passwd, wifi_auth_mode_t auth, uint8_t channel, bool ssid_hidden, uint8_t max_connection);</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    void                      <a class="code" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">setIPInfo</a>(const std::string&amp; ip, const std::string&amp; gw, const std::string&amp; netmask);</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    void                      <a class="code" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">setIPInfo</a>(const char* ip, const char* gw, const char* netmask);</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;    void                      <a class="code" href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">setIPInfo</a>(uint32_t ip, uint32_t gw, uint32_t netmask);</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;    void                      <a class="code" href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">setWifiEventHandler</a>(WiFiEventHandler* wifiEventHandler);</div><div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;};</div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;</div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* MAIN_WIFI_H_ */</span><span class="preprocessor"></span></div><div class="ttc" id="classWiFi_html_a6b4031d4fa81fe133c7a6390669aa851"><div class="ttname"><a href="classWiFi.html#a6b4031d4fa81fe133c7a6390669aa851">WiFi::getApMac</a></div><div class="ttdeci">static std::string getApMac()</div><div class="ttdoc">Get the MAC address of the AP interface.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:285</div></div>
<div class="ttc" id="classWiFi_html_abe209be37e5626ace49f182c57f96747"><div class="ttname"><a href="classWiFi.html#abe209be37e5626ace49f182c57f96747">WiFi::getApSSID</a></div><div class="ttdeci">static std::string getApSSID()</div><div class="ttdoc">Get the AP SSID.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:299</div></div>
<div class="ttc" id="classWiFiAPRecord_html_a7b634da0afbfeb15a9b4f52681a06ee1"><div class="ttname"><a href="classWiFiAPRecord.html#a7b634da0afbfeb15a9b4f52681a06ee1">WiFiAPRecord::toString</a></div><div class="ttdeci">std::string toString()</div><div class="ttdoc">Return a string representation of the WiFi access point record.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:732</div></div>
<div class="ttc" id="classWiFi_html_a2aa9896c734e6e2e920d3216f175c596"><div class="ttname"><a href="classWiFi.html#a2aa9896c734e6e2e920d3216f175c596">WiFi::getStaIpInfo</a></div><div class="ttdeci">static tcpip_adapter_ip_info_t getStaIpInfo()</div><div class="ttdoc">Get the STA IP Info.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:392</div></div>
<div class="ttc" id="classWiFi_html_a7ba16ba35e5543c23db71dd9e054f555"><div class="ttname"><a href="classWiFi.html#a7ba16ba35e5543c23db71dd9e054f555">WiFi::getApNetmask</a></div><div class="ttdeci">static std::string getApNetmask()</div><div class="ttdoc">Get the current AP netmask.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:322</div></div>
<div class="ttc" id="classWiFi_html_abf6df73f23fed380a5109a29def8d08f"><div class="ttname"><a href="classWiFi.html#abf6df73f23fed380a5109a29def8d08f">WiFi::setWifiEventHandler</a></div><div class="ttdeci">void setWifiEventHandler(WiFiEventHandler *wifiEventHandler)</div><div class="ttdoc">Set the event handler to use to process detected events.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:656</div></div>
<div class="ttc" id="classWiFi_html_a1b79df0ff40c783e062649ad96564905"><div class="ttname"><a href="classWiFi.html#a1b79df0ff40c783e062649ad96564905">WiFi::addDNSServer</a></div><div class="ttdeci">void addDNSServer(const std::string &amp;ip)</div><div class="ttdoc">Add a reference to a DNS server.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:90</div></div>
<div class="ttc" id="classWiFi_html_abe399adb8a5d43f6affff8ceb78fc3fc"><div class="ttname"><a href="classWiFi.html#abe399adb8a5d43f6affff8ceb78fc3fc">WiFi::getMode</a></div><div class="ttdeci">static std::string getMode()</div><div class="ttdoc">Get the WiFi Mode.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:370</div></div>
<div class="ttc" id="classWiFi_html_a30e6d1c318cad75f44822fce97ded972"><div class="ttname"><a href="classWiFi.html#a30e6d1c318cad75f44822fce97ded972">WiFi::getStaNetmask</a></div><div class="ttdeci">static std::string getStaNetmask()</div><div class="ttdoc">Get the current STA netmask.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:415</div></div>
<div class="ttc" id="classWiFi_html_a99cd00c2301a303e7c856192d2e16160"><div class="ttname"><a href="classWiFi.html#a99cd00c2301a303e7c856192d2e16160">WiFi::setDNSServer</a></div><div class="ttdeci">void setDNSServer(int numdns, const std::string &amp;ip)</div><div class="ttdoc">Set a reference to a DNS server.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:128</div></div>
<div class="ttc" id="classWiFi_html_af77c417d0a5a3285c8cedf1d7cc9ea23"><div class="ttname"><a href="classWiFi.html#af77c417d0a5a3285c8cedf1d7cc9ea23">WiFi::getApGateway</a></div><div class="ttdeci">static std::string getApGateway()</div><div class="ttdoc">Get the current AP Gateway IP.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:333</div></div>
<div class="ttc" id="classWiFi_html_aff9498a1f42011f3d38876444a153963"><div class="ttname"><a href="classWiFi.html#aff9498a1f42011f3d38876444a153963">WiFi::getApIp</a></div><div class="ttdeci">static std::string getApIp()</div><div class="ttdoc">Get the current ESP32 IP form AP.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:311</div></div>
<div class="ttc" id="classWiFi_html"><div class="ttname"><a href="classWiFi.html">WiFi</a></div><div class="ttdoc">WiFi driver.</div><div class="ttdef"><b>Definition:</b> WiFi.h:111</div></div>
<div class="ttc" id="classWiFiAPRecord_html_aa8857d2c0e0162b6eb38258db488131d"><div class="ttname"><a href="classWiFiAPRecord.html#aa8857d2c0e0162b6eb38258db488131d">WiFiAPRecord::getAuthMode</a></div><div class="ttdeci">wifi_auth_mode_t getAuthMode()</div><div class="ttdoc">Get the auth mode.</div><div class="ttdef"><b>Definition:</b> WiFi.h:56</div></div>
<div class="ttc" id="classWiFi_html_a9af2e6f3f5bf0dcf9a319954cf6ec5a0"><div class="ttname"><a href="classWiFi.html#a9af2e6f3f5bf0dcf9a319954cf6ec5a0">WiFi::setIPInfo</a></div><div class="ttdeci">void setIPInfo(const std::string &amp;ip, const std::string &amp;gw, const std::string &amp;netmask)</div><div class="ttdoc">Set the IP info and enable DHCP if ip != 0. If called with ip == 0 then DHCP is enabled....</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:680</div></div>
<div class="ttc" id="classWiFi_html_ae5d8dc106189ee9a4cf332e4363fac58"><div class="ttname"><a href="classWiFi.html#ae5d8dc106189ee9a4cf332e4363fac58">WiFi::startAP</a></div><div class="ttdeci">void startAP(const std::string &amp;ssid, const std::string &amp;passwd, wifi_auth_mode_t auth=WIFI_AUTH_OPEN)</div><div class="ttdoc">Start being an access point.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:587</div></div>
<div class="ttc" id="classWiFi_html_a888168c815c5363e79b2896b3790df25"><div class="ttname"><a href="classWiFi.html#a888168c815c5363e79b2896b3790df25">WiFi::getStaSSID</a></div><div class="ttdeci">static std::string getStaSSID()</div><div class="ttdoc">Get the STA SSID.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:452</div></div>
<div class="ttc" id="classWiFiAPRecord_html_ae024a1fbae5a6af6390c2a40513ff15d"><div class="ttname"><a href="classWiFiAPRecord.html#ae024a1fbae5a6af6390c2a40513ff15d">WiFiAPRecord::getRSSI</a></div><div class="ttdeci">int8_t getRSSI()</div><div class="ttdoc">Get the RSSI.</div><div class="ttdef"><b>Definition:</b> WiFi.h:64</div></div>
<div class="ttc" id="classWiFi_html_a0ce7f33b938cfeb19a1f36a3080b602b"><div class="ttname"><a href="classWiFi.html#a0ce7f33b938cfeb19a1f36a3080b602b">WiFi::getHostByName</a></div><div class="ttdeci">struct in_addr getHostByName(const std::string &amp;hostName)</div><div class="ttdoc">Lookup an IP address by host name.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:347</div></div>
<div class="ttc" id="classWiFi_html_a6e72ca5bdf809465049966ef99bef570"><div class="ttname"><a href="classWiFi.html#a6e72ca5bdf809465049966ef99bef570">WiFi::getStaGateway</a></div><div class="ttdeci">static std::string getStaGateway()</div><div class="ttdoc">Get the current STA Gateway IP.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:427</div></div>
<div class="ttc" id="classWiFi_html_a6b11726f65299092288f68f129929303"><div class="ttname"><a href="classWiFi.html#a6b11726f65299092288f68f129929303">WiFi::connectAP</a></div><div class="ttdeci">uint8_t connectAP(const std::string &amp;ssid, const std::string &amp;password, bool waitForConnection=true, wifi_mode_t mode=WIFI_MODE_STA)</div><div class="ttdoc">Connect to an external access point.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:159</div></div>
<div class="ttc" id="classWiFi_html_a97592a3ac47f6f301a2417385c4e8ea2"><div class="ttname"><a href="classWiFi.html#a97592a3ac47f6f301a2417385c4e8ea2">WiFi::scan</a></div><div class="ttdeci">std::vector&lt; WiFiAPRecord &gt; scan()</div><div class="ttdoc">Perform a WiFi scan looking for access points.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:508</div></div>
<div class="ttc" id="classWiFi_html_a35af2c72328c41e79e7aef97b6a64fba"><div class="ttname"><a href="classWiFi.html#a35af2c72328c41e79e7aef97b6a64fba">WiFi::WiFi</a></div><div class="ttdeci">WiFi()</div><div class="ttdoc">Creates and uses a default event handler.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:49</div></div>
<div class="ttc" id="classWiFi_html_aa70d86d4709954beb1f79e73715dfd5b"><div class="ttname"><a href="classWiFi.html#aa70d86d4709954beb1f79e73715dfd5b">WiFi::~WiFi</a></div><div class="ttdeci">~WiFi()</div><div class="ttdoc">Deletes the event handler that was used by the class.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:65</div></div>
<div class="ttc" id="classWiFiAPRecord_html"><div class="ttname"><a href="classWiFiAPRecord.html">WiFiAPRecord</a></div><div class="ttdoc">Manage mDNS server.</div><div class="ttdef"><b>Definition:</b> WiFi.h:48</div></div>
<div class="ttc" id="classWiFi_html_a68cb65b5b2ce951ae7cc348d977ee78e"><div class="ttname"><a href="classWiFi.html#a68cb65b5b2ce951ae7cc348d977ee78e">WiFi::getStaIp</a></div><div class="ttdeci">static std::string getStaIp()</div><div class="ttdoc">Get the current ESP32 IP form STA.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:403</div></div>
<div class="ttc" id="classWiFi_html_a08647c8bdbb4d8612abb2a4daf5dbdb1"><div class="ttname"><a href="classWiFi.html#a08647c8bdbb4d8612abb2a4daf5dbdb1">WiFi::getStaMac</a></div><div class="ttdeci">static std::string getStaMac()</div><div class="ttdoc">Get the MAC address of the STA interface.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:439</div></div>
<div class="ttc" id="classWiFi_html_a8b9634fee0d3c7d27a77ca35823a1f86"><div class="ttname"><a href="classWiFi.html#a8b9634fee0d3c7d27a77ca35823a1f86">WiFi::isConnectedToAP</a></div><div class="ttdeci">bool isConnectedToAP()</div><div class="ttdoc">Returns whether wifi is connected to an access point.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:230</div></div>
<div class="ttc" id="classFreeRTOS_1_1Semaphore_html"><div class="ttname"><a href="classFreeRTOS_1_1Semaphore.html">FreeRTOS::Semaphore</a></div><div class="ttdef"><b>Definition:</b> FreeRTOS.h:31</div></div>
<div class="ttc" id="classWiFiEventHandler_html"><div class="ttname"><a href="classWiFiEventHandler.html">WiFiEventHandler</a></div><div class="ttdoc">WiFi state event handler.</div><div class="ttdef"><b>Definition:</b> WiFiEventHandler.h:98</div></div>
<div class="ttc" id="classWiFi_html_aa158786a3a91c13956be956e7d094622"><div class="ttname"><a href="classWiFi.html#aa158786a3a91c13956be956e7d094622">WiFi::getApIpInfo</a></div><div class="ttdeci">static tcpip_adapter_ip_info_t getApIpInfo()</div><div class="ttdoc">Get the AP IP Info.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:273</div></div>
<div class="ttc" id="classWiFiAPRecord_html_ab7b7a360e920f2cb6933ed142ccce7bf"><div class="ttname"><a href="classWiFiAPRecord.html#ab7b7a360e920f2cb6933ed142ccce7bf">WiFiAPRecord::getSSID</a></div><div class="ttdeci">std::string getSSID()</div><div class="ttdoc">Get the SSID.</div><div class="ttdef"><b>Definition:</b> WiFi.h:72</div></div>
<div class="ttc" id="classWiFi_html_aa06d7cb11e23c95b873b37b37e1c7d27"><div class="ttname"><a href="classWiFi.html#aa06d7cb11e23c95b873b37b37e1c7d27">WiFi::dump</a></div><div class="ttdeci">void dump()</div><div class="ttdoc">Dump diagnostics to the log.</div><div class="ttdef"><b>Definition:</b> WiFi.cpp:217</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
